aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-12-11 02:17:16 +0100
committerGravatar Nicolas "Pixel" Noble <pixel@nobis-crew.org>2015-12-11 02:17:16 +0100
commitf0e3354b4ee976f6ff9e26369fd1262a04e86548 (patch)
tree0fdd5dda6e14122d98f9c84d463fe9a6c2d8748e
parent3ec713c85e8679e05cfdd4efad4f9c9533c9ee1b (diff)
Improving local test coverage with options.
-rwxr-xr-xtools/run_tests/run_lcov.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tools/run_tests/run_lcov.sh b/tools/run_tests/run_lcov.sh
index a28ec138bb..ec97ebf0a5 100755
--- a/tools/run_tests/run_lcov.sh
+++ b/tools/run_tests/run_lcov.sh
@@ -33,9 +33,10 @@ set -ex
out=$(readlink -f ${1:-coverage})
root=$(readlink -f $(dirname $0)/../..)
+shift
tmp=$(mktemp)
cd $root
-tools/run_tests/run_tests.py -c gcov -l c c++ || true
+tools/run_tests/run_tests.py -c gcov -l c c++ $@ || true
lcov --capture --directory . --output-file $tmp
genhtml $tmp --output-directory $out
rm $tmp